Skip to main content

Create Lease: Entrata

POSThttps://api.propexo.com/v1/leases/entrata/
Method
leases/sendLeases
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    unit_idstringrequired

    The Propexo unique identifier for the unit

    lease_period_idstringrequired

    The Propexo unique identifier for the lease period

    floor_plan_idstringrequired

    The Propexo unique identifier for the floor plan

    start_datestring<date-time>required

    The start date associated with the lease

    end_datestring<date-time>required

    The end date associated with the lease

    scheduled_move_in_datestring<date-time>required

    The move-in date associated with the lease

    first_namestringrequired

    The first name associated with the resident

    last_namestringrequired

    The last name associated with the resident

    address_1stringrequired

    The first address line associated with the resident

    citystringrequired

    The city associated with the resident

    statestringrequired

    The state associated with the resident

    zipstringrequired

    The zip code associated with the resident

    address_2string

    The second address line associated with the resident

    email_1string<email>

    The primary email address associated with the resident

    phone_1string

    Primary phone number associated with the resident

    date_of_birthstring<date-time>

    The date of birth associated with the resident

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    unit_idstringrequired

    The Propexo unique identifier for the unit

    lease_period_idstringrequired

    The Propexo unique identifier for the lease period

    floor_plan_idstringrequired

    The Propexo unique identifier for the floor plan

    start_datestring<date-time>required

    The start date associated with the lease

    end_datestring<date-time>required

    The end date associated with the lease

    scheduled_move_in_datestring<date-time>required

    The move-in date associated with the lease

    first_namestringrequired

    The first name associated with the resident

    last_namestringrequired

    The last name associated with the resident

    address_1stringrequired

    The first address line associated with the resident

    citystringrequired

    The city associated with the resident

    statestringrequired

    The state associated with the resident

    zipstringrequired

    The zip code associated with the resident

    address_2string | nullnullablerequired

    The second address line associated with the resident

    email_1(string | null)<email>nullablerequired

    The primary email address associated with the resident

    phone_1string | nullnullablerequired

    Primary phone number associated with the resident

    date_of_birth(string | null)<date-time>nullablerequired

    The date of birth associated with the resident

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/leases/entrata/
curl -X POST https://api.propexo.com/v1/leases/entrata/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"unit_id": "string",
"lease_period_id": "string",
"floor_plan_id": "string",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"scheduled_move_in_date": "2024-07-29T15:51:28.071Z",
"first_name": "string",
"last_name": "string",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"unit_id": "string",
"lease_period_id": "string",
"floor_plan_id": "string",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"scheduled_move_in_date": "2024-07-29T15:51:28.071Z",
"first_name": "string",
"last_name": "string",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"address_2": "string",
"email_1": "[email protected]",
"phone_1": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z"
}
}